Uploaded image for project: 'ClojureScript'
  1. CLJS-2724

Native Node modules Node (like "fs") cannot be required

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Completed
    • Affects versions: 1.10.238
    • Fix versions: None
    • Labels:
      None
    • Patch:
      Code and Test

      Description

      test.cljs

      (require 'fs)
      (println (fs/readFileSync "README.md" "utf8"))
      

      command:

      clj -A:cljs test.cljs
      

        Attachments

          Activity

            People

            • Assignee:
              dnolen David Nolen
              Reporter:
              dnolen David Nolen
            • Votes:
              5 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: